Skip to main content

Pega Cloud proactive patch program frequently asked questions

Suggest edit
Updated on April 12, 2022

The Pega Cloud proactive patch program ensures that Pega clients have the latest and most secure versions of Pega software. Review the answers to commonly asked questions about this program.

What is the proactive patch program?

Starting June 2020, Pega launched a Pega Cloud proactive patch program to ensure that our clients have the most secure and highest performing versions of Pega Infinity software and supported customer relationship management (CRM) applications.

Pega patches all Pega Cloud services client environments to the latest version of Pega Infinity.

Pega has made enormous improvements in resiliency and automation related to patch activity. We take every precaution to ensure that we minimize the impact to our clients, but we cannot provide a 100% guarantee that the patch will not present client issues.

What is the schedule for the proactive patch program?

For Pega Platform 8.1.8, the program started on Monday June 8, 2020 and completed on September 12, 2020.

For Pega Platform 8.4, the program started on Monday, September 15th, 2020.

Does Pega notify you in advance of an upcoming patch?

Yes. Pega manages communications with you throughout the patch process, including notification before the patch is applied and after the patch application is complete. Pega always schedules patch maintenance to occur within your maintenance windows. Depending on the version of Pega Platform running, your should review the patch appropriate article to ensure you understand the process:

  • Previous topic Pega software maintenance and Extended Support Policy frequently asked questions
  • Next topic Pega Infinity patch calendar
Did you find this content helpful? YesNo

Have a question? Get answers now.

Visit the Support Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us